Debian Bug report logs - #478891
please disable ada binding for new arm targets

version graph

Package: plplot; Maintainer for plplot is Andrew Ross <andrewross@users.sourceforge.net>;

Reported by: "Martin Guy" <martinwguy@yahoo.it>

Date: Thu, 1 May 2008 16:27:04 UTC

Severity: wishlist

Found in version 5.9.0-6

Fixed in version plplot/5.9.0-7

Done: Rafael Laboissiere <rafael@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrew Ross <andrewross@users.sourceforge.net>:
Bug#478891; Package plplot. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
New Bug report received and forwarded. Copy sent to Andrew Ross <andrewross@users.sourceforge.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: submit@bugs.debian.org
Subject: please disable ada binding for new arm targets
Date: Thu, 1 May 2008 17:26:14 +0100
Package: plplot
Version: 5.9.0-6
Severity: wishlist

gnat has not been ported to arm processors yet, so please extend
debian/control's "Build-Depends: gnat" clause to include the new arm
ports [!armel !armeb] so that all the other plplot binary packages and
their dependents can be built. Thanks!




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Ross <andrewross@users.sourceforge.net>:
Bug#478891; Package plplot. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Andrew Ross <andrewross@users.sourceforge.net>. Full text and rfc822 format available.

Message #10 received at 478891@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: 478891@bugs.debian.org
Cc: "Colin Tuckley" <colin@tuckley.org>
Subject: sorry, changing builddeps is not enough
Date: Sat, 3 May 2008 02:11:24 +0100
[Message part 1 (text/plain, inline)]
Sorry, just changing the builddeps as I suggested to remove armel gnat
dep is not enough. It needs a clause in debian/rules too and
control.in too.
The f95 test fails:

Testing front-end f95
./test_f95.sh: line 55: 30317 Segmentation fault
$f95dir/x${index}f -dev $device -o ${OUTPUT_DIR}/x${index}f95.$dsuffix
$options 2>test.error
-- Process completed
***Failed

but the package builds ok. Patches are attached.

(cc-ing Colin Tuckley, our armel fortran wizard)
[plplot-5.9.0+armel-noada.diff (text/plain, attachment)]

Reply sent to Rafael Laboissiere <rafael@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Martin Guy" <martinwguy@yahoo.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 478891-close@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@debian.org>
To: 478891-close@bugs.debian.org
Subject: Bug#478891: fixed in plplot 5.9.0-7
Date: Mon, 05 May 2008 21:02:51 +0000
Source: plplot
Source-Version: 5.9.0-7

We believe that the bug you reported is fixed in the latest version of
plplot, which is due to be installed in the Debian FTP archive:

libcsiro0_5.9.0-7_amd64.deb
  to pool/main/p/plplot/libcsiro0_5.9.0-7_amd64.deb
libplplot-ada_5.9.0-7_amd64.deb
  to pool/main/p/plplot/libplplot-ada_5.9.0-7_amd64.deb
libplplot-c++9c2_5.9.0-7_amd64.deb
  to pool/main/p/plplot/libplplot-c++9c2_5.9.0-7_amd64.deb
libplplot-dev_5.9.0-7_amd64.deb
  to pool/main/p/plplot/libplplot-dev_5.9.0-7_amd64.deb
libplplot-fortran9_5.9.0-7_amd64.deb
  to pool/main/p/plplot/libplplot-fortran9_5.9.0-7_amd64.deb
libplplot9-java_5.9.0-7_amd64.deb
  to pool/main/p/plplot/libplplot9-java_5.9.0-7_amd64.deb
libplplot9_5.9.0-7_amd64.deb
  to pool/main/p/plplot/libplplot9_5.9.0-7_amd64.deb
octave-plplot_5.9.0-7_amd64.deb
  to pool/main/p/plplot/octave-plplot_5.9.0-7_amd64.deb
plplot-bin_5.9.0-7_amd64.deb
  to pool/main/p/plplot/plplot-bin_5.9.0-7_amd64.deb
plplot-doc_5.9.0-7_all.deb
  to pool/main/p/plplot/plplot-doc_5.9.0-7_all.deb
plplot-tcl-dev_5.9.0-7_amd64.deb
  to pool/main/p/plplot/plplot-tcl-dev_5.9.0-7_amd64.deb
plplot-tcl_5.9.0-7_amd64.deb
  to pool/main/p/plplot/plplot-tcl_5.9.0-7_amd64.deb
plplot9-driver-cairo_5.9.0-7_amd64.deb
  to pool/main/p/plplot/plplot9-driver-cairo_5.9.0-7_amd64.deb
plplot9-driver-gd_5.9.0-7_amd64.deb
  to pool/main/p/plplot/plplot9-driver-gd_5.9.0-7_amd64.deb
plplot9-driver-gnome2_5.9.0-7_amd64.deb
  to pool/main/p/plplot/plplot9-driver-gnome2_5.9.0-7_amd64.deb
plplot9-driver-wxwidgets_5.9.0-7_amd64.deb
  to pool/main/p/plplot/plplot9-driver-wxwidgets_5.9.0-7_amd64.deb
plplot9-driver-xwin_5.9.0-7_amd64.deb
  to pool/main/p/plplot/plplot9-driver-xwin_5.9.0-7_amd64.deb
plplot_5.9.0-7.diff.gz
  to pool/main/p/plplot/plplot_5.9.0-7.diff.gz
plplot_5.9.0-7.dsc
  to pool/main/p/plplot/plplot_5.9.0-7.dsc
python-plplot_5.9.0-7_amd64.deb
  to pool/main/p/plplot/python-plplot_5.9.0-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478891@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rafael Laboissiere <rafael@debian.org> (supplier of updated plplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 02 May 2008 15:45:20 +0200
Source: plplot
Binary: libplplot9 libplplot-dev libplplot-c++9c2 libplplot-fortran9 libplplot9-java libcsiro0 plplot-bin plplot9-driver-xwin plplot9-driver-gnome2 plplot9-driver-wxwidgets plplot-tcl plplot-tcl-dev plplot9-driver-gd plplot9-driver-cairo python-plplot octave-plplot libplplot-ada plplot-doc
Architecture: source amd64 all
Version: 5.9.0-7
Distribution: unstable
Urgency: low
Maintainer: Andrew Ross <andrewross@users.sourceforge.net>
Changed-By: Rafael Laboissiere <rafael@debian.org>
Description: 
 libcsiro0  - Scientific plotting library
 libplplot-ada - Ada support for PLplot, a plotting library
 libplplot-c++9c2 - Scientific plotting library
 libplplot-dev - Scientific plotting library (development files)
 libplplot-fortran9 - Scientific plotting library
 libplplot9 - Scientific plotting library
 libplplot9-java - Scientific plotting library
 octave-plplot - Octave support for PLplot, a plotting library
 plplot-bin - Scientific plotting library (utilities)
 plplot-doc - Documentation for PLplot, a plotting library
 plplot-tcl - Tcl/Tk support for PLplot, a plotting library
 plplot-tcl-dev - Tcl/Tk development support for PLplot, a plotting library
 plplot9-driver-cairo - Scientific plotting library (Cairo driver)
 plplot9-driver-gd - Scientific plotting library (GD driver)
 plplot9-driver-gnome2 - Scientific plotting library (GNOME Canvas Widget driver)
 plplot9-driver-wxwidgets - Scientific plotting library (wxWidgets driver)
 plplot9-driver-xwin - Scientific plotting library (X11 driver)
 python-plplot - Python support for PLplot, a plotting library
Closes: 477902 478891
Changes: 
 plplot (5.9.0-7) unstable; urgency=low
 .
   * debian/control.in, debian/rules:
     + Build-depend on default-jdk-builddep instead of java-gcj-compat-dev
       and prevents building of the libplplot9-java package on alpha, hppa,
       and hurd-i386 (closes: #477902)
     + Prevent libplplot-ada of building on armeb and armel (closes: #478891)
Checksums-Sha1: 
 4afacb8e15e3245d54c87d689b3bc5f327306a13 2255 plplot_5.9.0-7.dsc
 2ba9d39deeb8e581168b2b09d6e7e57ba36e0493 7886 plplot_5.9.0-7.diff.gz
 71fd39bccc46d6c1b5fd61fb16e24a32aab0c572 440582 libplplot9_5.9.0-7_amd64.deb
 0b75840b7b436a57605262532b02b46b00a98eff 665118 libplplot-dev_5.9.0-7_amd64.deb
 a603e09a07447c30a14c14231f755f76074a48a8 22572 libplplot-c++9c2_5.9.0-7_amd64.deb
 0e6cb8241730781192dbd7f4a4491ab3b5319cab 82446 libplplot-fortran9_5.9.0-7_amd64.deb
 d76172c4233ddd6e7ab3d4622e867fedd74d0620 146968 libplplot9-java_5.9.0-7_amd64.deb
 7e8e34231006433625b34e128cc07df04033544e 53246 libcsiro0_5.9.0-7_amd64.deb
 b89847b4bee0c835c077571e21ac00a953f06de2 7434 plplot-bin_5.9.0-7_amd64.deb
 5912c4494ceda1c2901e3569f5bea9b968ca7277 18238 plplot9-driver-xwin_5.9.0-7_amd64.deb
 55ae3b704901e3b16b895b94505d4b5d37dc04f9 35878 plplot9-driver-gnome2_5.9.0-7_amd64.deb
 9c6ed7e013a66823a28d912b84812da9b1cbd399 48414 plplot9-driver-wxwidgets_5.9.0-7_amd64.deb
 5ecb68335ef24c116fb0f1b335b80512c0acb889 164352 plplot-tcl_5.9.0-7_amd64.deb
 99cff55dea4f6649beeef5a7188a072d6d6522ee 71576 plplot-tcl-dev_5.9.0-7_amd64.deb
 c1af7c8d6f689eaf9d9b9b12e6f5595eb8c08ecd 8896 plplot9-driver-gd_5.9.0-7_amd64.deb
 f7c7f20679a9d7c74c6405ec3c2c2502fec3bd66 10820 plplot9-driver-cairo_5.9.0-7_amd64.deb
 7011c576707809eddd6283bc1230028392a4f710 192040 python-plplot_5.9.0-7_amd64.deb
 dd33d99b44b7eaa3ed95aef793f99fccf506416f 409300 octave-plplot_5.9.0-7_amd64.deb
 619cdaa3bb7c94192647587bbe2d2cb2a6beb5ba 153224 libplplot-ada_5.9.0-7_amd64.deb
 ec57a00f269ae8149062c112a5038d30dd91aa0c 2068294 plplot-doc_5.9.0-7_all.deb
Checksums-Sha256: 
 df19857da44f617c31fa94a9660cc3dffeed2495e7ed699de773bc84695c3587 2255 plplot_5.9.0-7.dsc
 172e97ca0a2475b829bd53bb35af46d43d98b003b4ea56760c77a18778598a48 7886 plplot_5.9.0-7.diff.gz
 35f6e96207e49bbee6c15087d08c18ad32ff31ada8c682263f249066cd1ae32f 440582 libplplot9_5.9.0-7_amd64.deb
 b2fcbb27c9c609be3615c62189c0d19397f336a17f173c6629baa3d2e13f0d1f 665118 libplplot-dev_5.9.0-7_amd64.deb
 b7a9cef41c07957bab0109b2827dcd5b8ef4905410304f40752fe89fb79c83a9 22572 libplplot-c++9c2_5.9.0-7_amd64.deb
 10b425372a219e2cbc94331547e830d75bc9b0cb23d5364d3c54e3912a08994e 82446 libplplot-fortran9_5.9.0-7_amd64.deb
 caebb72c80e02548bc5f6b094fbfb67a4e86f79578a48b7e8853cf5ea68ebbfc 146968 libplplot9-java_5.9.0-7_amd64.deb
 cee862c199d3df2ce35d4832f32cd3c06be30ea785e7027c955c82f5a266c6db 53246 libcsiro0_5.9.0-7_amd64.deb
 8ac1595fe241179afe82b0b26e2010bbc71f2dd9b8da27f604e18e90cad5a9fa 7434 plplot-bin_5.9.0-7_amd64.deb
 1983006048bea5f7ecf65e4e73e69ff5791afdd065471a1a1a2cdbba88b699cd 18238 plplot9-driver-xwin_5.9.0-7_amd64.deb
 751c09c77e2a8e7c6a6b71a0259172bb1d7714eda44b895f207cbd88bb0a2843 35878 plplot9-driver-gnome2_5.9.0-7_amd64.deb
 f755d4004bfd9ac66813fe89791a561419e89e35486cae5502347d9c96232b88 48414 plplot9-driver-wxwidgets_5.9.0-7_amd64.deb
 017f9041267e65ea5f8cab71ccadb5405b6ba29f1f0eab37a7fc7c473b56fe51 164352 plplot-tcl_5.9.0-7_amd64.deb
 91f3401f17bdafc184781317214dcfbac405a34489e4afc1c117c63dae38e650 71576 plplot-tcl-dev_5.9.0-7_amd64.deb
 01945b4b81eabf1fb1418cb0f747bf1a29135d1895b15fd54d8a8ee3d163fdc3 8896 plplot9-driver-gd_5.9.0-7_amd64.deb
 8d408390e5d9f40c44d8dd4adcb828d89b1a575316713d37a1f460956f2fbf31 10820 plplot9-driver-cairo_5.9.0-7_amd64.deb
 5d5e13d8a45d3e4f3201e4b43c991a9b5a96e38069e5684eae6f905d29fd7a66 192040 python-plplot_5.9.0-7_amd64.deb
 f68c84dd9327ac3d467d3b9ebd978b26fb65ba6ab025ee40286600221cd07b38 409300 octave-plplot_5.9.0-7_amd64.deb
 f85478c3b8d2d1a0b115f5c9e273984600c56a002b97f9f9f88464b64a4d1d72 153224 libplplot-ada_5.9.0-7_amd64.deb
 cf78f1a47db09dca208f1d2c8b0d69eb21c85e8995e78aa98d5a54a4416b936d 2068294 plplot-doc_5.9.0-7_all.deb
Files: 
 5a5aba3ea5a1bd4626849f89d4768126 2255 math optional plplot_5.9.0-7.dsc
 7e5e4678829a5edbe664b1293480014b 7886 math optional plplot_5.9.0-7.diff.gz
 fb66654eebf50c15fb62d43e37af6eac 440582 libs optional libplplot9_5.9.0-7_amd64.deb
 b565949d8b1406a41a8852803ee0577b 665118 libdevel optional libplplot-dev_5.9.0-7_amd64.deb
 75afb927a55634d6e3e869a00f6b8b77 22572 libs optional libplplot-c++9c2_5.9.0-7_amd64.deb
 2d151c42d4ffa77cbb229706a98736ce 82446 libs optional libplplot-fortran9_5.9.0-7_amd64.deb
 41e0ca74090d078e19ac2210133ccfa1 146968 libs optional libplplot9-java_5.9.0-7_amd64.deb
 445f2e19bce9989564abd8b093274b1b 53246 libs optional libcsiro0_5.9.0-7_amd64.deb
 b3d57a430f6c62398aa0e215a1ed18d1 7434 math optional plplot-bin_5.9.0-7_amd64.deb
 a71463ab8eb6d917fc2dc2c7aa97f522 18238 libs optional plplot9-driver-xwin_5.9.0-7_amd64.deb
 69d79b76e3d86856b07dbdabb6debd94 35878 libs optional plplot9-driver-gnome2_5.9.0-7_amd64.deb
 2f96246f3138d9f2d5d288ac9f22a7e0 48414 libs optional plplot9-driver-wxwidgets_5.9.0-7_amd64.deb
 95549ae9b84bf06c060b390668243f8d 164352 math extra plplot-tcl_5.9.0-7_amd64.deb
 0fb4dcbd25c097d3469009d801e0f7eb 71576 math extra plplot-tcl-dev_5.9.0-7_amd64.deb
 f24ea9494ab9d3492e150c11463a3668 8896 libs optional plplot9-driver-gd_5.9.0-7_amd64.deb
 0cd08ebe06a4d1593daea43cb17ef537 10820 libs optional plplot9-driver-cairo_5.9.0-7_amd64.deb
 f770919ee63a4f1ab8ee32be8cdc71b6 192040 python optional python-plplot_5.9.0-7_amd64.deb
 b734f6fc308c886fb91b4cd3e6d266b9 409300 math extra octave-plplot_5.9.0-7_amd64.deb
 ea81514515816be53c5b85e9ec5b37b5 153224 math extra libplplot-ada_5.9.0-7_amd64.deb
 e1fe23599af66c5b7eaa94e135fee87e 2068294 doc optional plplot-doc_5.9.0-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFIH26Uk3oga0pdcv4RAqQnAJ92KR4ENa9T6k0wP0szKgXIS5Sk6gCffIZc
dtda6KU4x14FibV72lNtebU=
=Acfa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Aug 2008 07:44:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:22:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.